unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  SiOpenOffice, StdCtrls;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    GroupBox3: TGroupBox;
    GroupBox4: TGroupBox;
    Edit1: TEdit;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Button7: TButton;
    Button8: TButton;
    Button9: TButton;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Edit8: TEdit;
    Edit9: TEdit;
    Button10: TButton;
    Edit10: TEdit;
    Button11: TButton;
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button8Click(Sender: TObject);
    procedure Button9Click(Sender: TObject);
    procedure Button10Click(Sender: TObject);
    procedure Button11Click(Sender: TObject);
  private
    FOpenOffice: TSiOpenOffice;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
  FOpenOffice := TSiOpenOffice.Create(Self);
  FOpenOffice.Connect;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  FOpenOffice.Disconnect;
  FOpenOffice.Free;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  FOpenOffice.CreateFile;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  FOpenOffice.OpenFile(Edit1.Text);
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  //        Point1  Insert/Names/Define
  FOpenOffice.WriteCellTextByName(Edit7.Text, Edit6.Text);
end;

procedure TForm1.Button5Click(Sender: TObject);
var
  x, y: LongInt;
begin
  x := StrToInt(Edit4.Text);
  y := StrToInt(Edit5.Text);
  //    2
  FOpenOffice.GoToCell(x, y);
end;

procedure TForm1.Button6Click(Sender: TObject);
var
  x, y: LongInt;
begin
  x := StrToInt(Edit4.Text);
  y := StrToInt(Edit5.Text);
  FOpenOffice.WriteCellText(Edit6.Text, x, y);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  FOpenOffice.SheetName := Edit2.Text;
end;

procedure TForm1.Button4Click(Sender: TObject);
var
  xIndex: Word;
begin
  xIndex := StrToInt(Edit3.Text);
  //    ... :)
  FOpenOffice.SheetIndex := xIndex - 1;
end;


procedure TForm1.Button8Click(Sender: TObject);
var
  i: LongInt;
begin
  i := StrToInt(Edit8.Text);
  FOpenOffice.InsertRows(i);
end;

procedure TForm1.Button9Click(Sender: TObject);
var
  i: LongInt;
begin
  i := StrToInt(Edit9.Text);
  FOpenOffice.InsertCols(i);
end;

procedure TForm1.Button10Click(Sender: TObject);
begin
  FOpenOffice.SaveAsFile(Edit10.Text);
end;

procedure TForm1.Button11Click(Sender: TObject);
begin
  FOpenOffice.SaveFile;
end;

end.
